# class Tk::Iwidgets::Pushbutton

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

flash() click to toggle source

    # File lib/tkextlib/iwidgets/pushbutton.rb, line 32
    def flash
      tk_call_without_enc(@path, 'flash')
      self
    end

invoke() click to toggle source

    # File lib/tkextlib/iwidgets/pushbutton.rb, line 27
    def invoke
      tk_call_without_enc(@path, 'invoke')
      self
    end

### Private Instance Methods

__boolval_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/iwidgets/pushbutton.rb, line 22
    def __boolval_optkeys
      super() << 'defaultring'
    end